package com.ruoyi.shipping.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 船名对象 t_vessel
 * 
 * @author ruoyi
 * @date 2021-04-02
 */
public class TVessel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long fId;

    /** 编号 */
    @Excel(name = "编号")
    private String fNo;

    /** 名称 */
    @Excel(name = "名称")
    private String fName;

    /** 英文名 */
    @Excel(name = "英文名")
    private String fEname;

    /** 船舶呼号 */
    @Excel(name = "船舶呼号")
    private String fImo;

    /** 船东 */
    @Excel(name = "船东")
    private String fOwer;

    /** 船舶经营者 */
    @Excel(name = "船舶经营者")
    private String fManage;

    /** 国籍 */
    @Excel(name = "国籍")
    private String fNationality;

    /** 注册港 */
    @Excel(name = "注册港")
    private String fRegistry;

    /** 建成日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "建成日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fDateofdelivery;

    /** 容量 */
    @Excel(name = "容量")
    private Long fWeight;

    /** 默认 T ,正常T 停用F 下拉选择 */
    @Excel(name = "默认 T ,正常T 停用F 下拉选择")
    private String fStatus;
    //查询时间区间
    private List<String> cLoadDate;

    public List<String> getcLoadDate() {
        return cLoadDate;
    }

    public void setcLoadDate(List<String> cLoadDate) {
        this.cLoadDate = cLoadDate;
    }

    public void setfId(Long fId)
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfNo(String fNo) 
    {
        this.fNo = fNo;
    }

    public String getfNo() 
    {
        return fNo;
    }
    public void setfName(String fName) 
    {
        this.fName = fName;
    }

    public String getfName() 
    {
        return fName;
    }
    public void setfEname(String fEname) 
    {
        this.fEname = fEname;
    }

    public String getfEname() 
    {
        return fEname;
    }
    public void setfImo(String fImo) 
    {
        this.fImo = fImo;
    }

    public String getfImo() 
    {
        return fImo;
    }
    public void setfOwer(String fOwer) 
    {
        this.fOwer = fOwer;
    }

    public String getfOwer() 
    {
        return fOwer;
    }
    public void setfManage(String fManage) 
    {
        this.fManage = fManage;
    }

    public String getfManage() 
    {
        return fManage;
    }
    public void setfNationality(String fNationality) 
    {
        this.fNationality = fNationality;
    }

    public String getfNationality() 
    {
        return fNationality;
    }
    public void setfRegistry(String fRegistry) 
    {
        this.fRegistry = fRegistry;
    }

    public String getfRegistry() 
    {
        return fRegistry;
    }
    public void setfDateofdelivery(Date fDateofdelivery) 
    {
        this.fDateofdelivery = fDateofdelivery;
    }

    public Date getfDateofdelivery() 
    {
        return fDateofdelivery;
    }
    public void setfWeight(Long fWeight) 
    {
        this.fWeight = fWeight;
    }

    public Long getfWeight() 
    {
        return fWeight;
    }
    public void setfStatus(String fStatus) 
    {
        this.fStatus = fStatus;
    }

    public String getfStatus() 
    {
        return fStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fNo", getfNo())
            .append("fName", getfName())
            .append("fEname", getfEname())
            .append("fImo", getfImo())
            .append("fOwer", getfOwer())
            .append("fManage", getfManage())
            .append("fNationality", getfNationality())
            .append("fRegistry", getfRegistry())
            .append("fDateofdelivery", getfDateofdelivery())
            .append("fWeight", getfWeight())
            .append("fStatus", getfStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
